//+------------------------------------------------------------------+
//|                                                   BuySell_v1.mq4 |
//|                                        Copyright  2008, masemus |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, masemus"
#property link      "http://www.metaquotes.net"

#property indicator_separate_window
#property indicator_minimum -0.1
#property indicator_maximum 1.2
#property indicator_buffers 2
#property indicator_color1 DeepPink
#property indicator_color2 DodgerBlue
#property indicator_width1 1
#property indicator_width2 1
//---- input parameters
extern int TF=0;
extern int SMA_Fast = 1;
extern int SMA_Slow = 4;
//---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];
string TimeFrameStr;
double BS_Signal,BS_Trend;

extern int myStyle1  = 0 ;
extern int myStyle2  = 0 ;
extern int myWingDing1  = 115 ;
extern int myWingDing2  = 115 ;
extern color myColor1 =DodgerBlue ;
extern color myColor2 =DeepPink;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
  SetIndexStyle(0,DRAW_LINE,myStyle1);
  SetIndexArrow(0, myWingDing1); 
  SetIndexBuffer(0,ExtMapBuffer1);
  SetIndexStyle(1,DRAW_SECTION,myStyle2);
  SetIndexArrow(1, myWingDing2); 
  SetIndexBuffer(1,ExtMapBuffer2);

switch(TF)
   {
      case 1 : TimeFrameStr="Period_M1"; break;
      case 5 : TimeFrameStr="Period_M5"; break;
      case 15 : TimeFrameStr="Period_M15"; break;
      case 30 : TimeFrameStr="Period_M30"; break;
      case 60 : TimeFrameStr="Period_H1"; break;
      case 240 : TimeFrameStr="Period_H4"; break;
      case 1440 : TimeFrameStr="Period_D1"; break;
      case 10080 : TimeFrameStr="Period_W1"; break;
      case 43200 : TimeFrameStr="Period_MN1"; break;
      default : TimeFrameStr="Current Timeframe"; TF=0;
   }
   IndicatorShortName("BuySell ("+TimeFrameStr+")");  

 
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
//----

for (int i = 0; i < 300; i++){
   ExtMapBuffer1[i]=0;
   ExtMapBuffer2[i]=0;
   

   BS_Signal=iMA(NULL,TF,SMA_Fast,PRICE_CLOSE,MODE_SMA,0,i);
   BS_Trend=iMA(NULL,TF,SMA_Slow,PRICE_CLOSE,MODE_SMA,0,i);
   
   if(BS_Signal > BS_Trend)ExtMapBuffer2[i] = 1;
   if(BS_Signal < BS_Trend){ExtMapBuffer1[i] = 1;}
  
}
 
 
 
   
//----
   return(0);
  }
//+------------------------------------------------------------------+